VST 3 Interfaces: IPrefetchableSupport Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IPrefetchableSupport Class Referenceabstract

Indicates that the plug-in could or not support Prefetch (dynamically): Vst::IPrefetchableSupport. More...

`#include <ivstprefetchablesupport.h>`

Inheritance diagram for IPrefetchableSupport:

## Public Member Functions
virtual tresult | getPrefetchableSupport (PrefetchableSupport &prefetchable)=0
| retrieve the current prefetch support.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Indicates that the plug-in could or not support Prefetch (dynamically): Vst::IPrefetchableSupport.

- [plug imp]
- [extends IComponent]
- [released: 3.6.5]
- [optional]

The plug-in should implement this interface if it needs to dynamically change between prefetchable or not. By default (without implementing this interface) the host decides in which mode the plug-in is processed. For more info about the prefetch processing mode check the ProcessModes::kPrefetch documentation.

# Example

//------------------------------------------------------------------------
tresult PLUGIN_API myPlug::getPrefetchableSupport (PrefetchableSupport& prefetchable)
{
prefetchable = kIsNeverPrefetchable;
switch (myPrefetchableMode)
{
case 0: prefetchable = kIsNeverPrefetchable; break;
case 1: prefetchable = kIsYetPrefetchable; break;
case 2: prefetchable = kIsNotYetPrefetchable; break;
}
return kResultOk;
}
Steinberg::tresult
int32 tresult
Steinberg::Vst::PrefetchableSupport
uint32 PrefetchableSupport
Prefetchable Support Type.
Definition ivstprefetchablesupport.h:34
Steinberg::Vst::kIsNeverPrefetchable
@ kIsNeverPrefetchable
every instance of the plug does not support prefetch processing
Definition ivstprefetchablesupport.h:40
Steinberg::Vst::kIsNotYetPrefetchable
@ kIsNotYetPrefetchable
in the current state the plug does not support prefetch processing
Definition ivstprefetchablesupport.h:42
Steinberg::Vst::kIsYetPrefetchable
@ kIsYetPrefetchable
in the current state the plug support prefetch processing
Definition ivstprefetchablesupport.h:41
Steinberg::kResultOk
kResultOk

## Member Function Documentation

## ◆ getPrefetchableSupport()

virtual tresult getPrefetchableSupport | ( | PrefetchableSupport & | prefetchable | ) |
| pure virtual

retrieve the current prefetch support.

Use IComponentHandler::restartComponent (kPrefetchableSupportChanged) to inform the host that this support has changed.

Note
  [UI-thread & (Initialized | Connected | Setup Done | Activated | Processing)]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.